Skip to content
SIBISIBI Developers
Esc
↑↓navigate↵open⌘Jpreview

Accept offer buyout

Accepts the buyout on an offer. The offer must be in “pending” or “awaiting_customer” status.

POST/{id}/accept-buyout
Authorization
AuthorizationBearer token · headerrequired

API token from the SIBI developer dashboard (developer.sibipro.com), sent as Authorization: Bearer <token>.

Scopes:write:offers
Path parameters
idstringrequired

The ID of the offer to accept the buyout for

Responses
200

Offer buyout accepted successfully

successbooleanrequired

Whether the offer buyout was accepted successfully

acceptedAtstring<date-time>required

Timestamp when the offer buyout was accepted

400

Bad request - Offer buyout could not be accepted

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
401

Unauthorized - Missing or invalid authentication

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
403

Forbidden - Caller can view this offer but is not allowed to accept it

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
404

Not found - Offer does not exist or caller is not allowed to view it

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
500

Internal server error

codestringrequired

Error code indicating the type of error

messagestringrequired

Human-readable error message explaining what went wrong

detailsobject[]

Detailed validation errors when applicable

Show properties
Array of object
fieldstringrequired
errorstringrequired
Request
curl -X POST 'https://api.sibipro.com/prod/offers/string/accept-buyout' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "success": true,
  "acceptedAt": "2024-01-20T12:00:00Z"
}

Was this page helpful?